
#include "StandardLabels.C"

void dist_to_thrown_multi(void)
{
	
	
	TFile *f = new TFile("pip.root");
	TTree *reconPhoton_pip = (TTree*)gROOT->FindObject("reconPhoton");

	TFile *f = new TFile("photon.root");
	TTree *reconPhoton_photon = (TTree*)gROOT->FindObject("reconPhoton");
	
	TCanvas *c1 = new TCanvas("c1");
	c1->SetTicks();
	c1->SetGridy();
	
	TH1D *pip = new TH1D("pip", "Secondary shower dist. to thrown projection", 400, 0.0, 400.0);
	pip->SetStats(0);
	pip->SetXTitle("distance of recon. shower from thrown projection 3D (cm)");
	TH1D *photon = (TH1D*)pip->Clone("photon");
	
	reconPhoton_pip->Project("pip", "dist_to_thrown", "idist_to_thrown>0");
	reconPhoton_photon->Project("photon", "dist_to_thrown", "idist_to_thrown>0");
	
	pip->SetFillColor(kBlue);
	pip->SetFillStyle(3003);
	pip->SetLineColor(kBlue);
	pip->SetLineWidth(2);
	
	photon->SetFillColor(kRed);
	photon->SetFillStyle(3003);
	photon->SetLineColor(kRed);
	photon->SetLineWidth(2);
	
	double sf = pip->Integral()/photon->Integral();
	photon->Scale(sf);
	
	pip->Draw();
	photon->Draw("same");
	
	char str[256];
	sprintf(str, "#gamma (scaled by %2.1f)", sf);
	
	TLegend *leg = new TLegend(0.585, 0.693, 0.878, 0.871);
	leg->SetFillColor(kWhite);
	leg->AddEntry(pip, "#pi^{+}");
	leg->AddEntry(photon, str);
	leg->Draw();
	
	StandardLabels1D(pip,"Single #gamma events  1GeV/c  14^{o}#leq60^{o}", "100k events", "All particles");

	c1->SaveAs("dist_to_thrown_multi.png");
	c1->SaveAs("dist_to_thrown_multi.pdf");
}

