#include "StandardLabels.C"

void blocks_per_cluster(void)
{
	
	
	TFile *f = new TFile("bcalshower_pip.root");
	TTree *pip = (TTree*)gROOT->FindObject("DBCALShower");

	TFile *f = new TFile("bcalshower_photon.root");
	TTree *photon = (TTree*)gROOT->FindObject("DBCALShower");
	
	TCanvas *c1 = new TCanvas("c1");
	c1->SetTicks();
	c1->SetGrid();
	
	TH1D *Nrecon_pip = new TH1D("Nrecon_pip","Blocks per cluster", 51, -0.5, 50.5);
	TH1D *Nrecon_photon = (TH1D*)Nrecon_pip->Clone("Nrecon_photon");
	
	pip->Project("Nrecon_pip", "N_cell");
	photon->Project("Nrecon_photon", "N_cell");

	Nrecon_pip->SetXTitle("Number of elements per cluster");
	Nrecon_pip->SetStats(0);
	Nrecon_pip->Draw();
	
	Nrecon_photon->SetLineColor(kRed);
	Nrecon_photon->SetLineWidth(3);
	Nrecon_pip->SetLineColor(kBlue);
	Nrecon_pip->SetLineWidth(3);

	Nrecon_pip->Draw();
	Nrecon_photon->Draw("same");
	
	TLegend *leg = new TLegend(0.622, 0.695, 0.89, 0.88);
	leg->SetFillColor(kWhite);
	leg->AddEntry(Nrecon_photon, "single #gamma");
	leg->AddEntry(Nrecon_pip, "single #pi^{+}");
	leg->Draw();
	
	StandardLabels1D(Nrecon_pip,"", "100k events", "All events");

	c1->SaveAs("blocks_per_cluster.png");
	c1->SaveAs("blocks_per_cluster.pdf");
}

