#include "StandardLabels.C"

void recon_clusters_per_event(void)
{
	
	
	TFile *f = new TFile("single_pip.root");
	TTree *pip = (TTree*)gROOT->FindObject("event");

	TFile *f = new TFile("single_photon.root");
	TTree *photon = (TTree*)gROOT->FindObject("event");
	
	TCanvas *c1 = new TCanvas("c1");
	c1->SetTicks();
	c1->SetGrid();
	
	TH1D *Nrecon_pip = new TH1D("Nrecon_pip","Number of reconstructed clusters", 5, -0.5, 4.5);
	TH1D *Nrecon_photon = (TH1D*)Nrecon_pip->Clone("Nrecon_photon");
	
	pip->Project("Nrecon_pip", "Nrecon");
	photon->Project("Nrecon_photon", "Nrecon");

	Nrecon_photon->SetXTitle("Number of reconstructed clusters per event");
	Nrecon_photon->SetStats(0);
	Nrecon_photon->Draw();
	
	Nrecon_photon->SetLineColor(kRed);
	Nrecon_photon->SetLineWidth(3);
	Nrecon_pip->SetLineColor(kBlue);
	Nrecon_pip->SetLineWidth(3);

	Nrecon_photon->Draw();
	Nrecon_pip->Draw("same");
	
	TLegend *leg = new TLegend(0.622, 0.695, 0.89, 0.88);
	leg->SetFillColor(kWhite);
	leg->AddEntry(Nrecon_photon, "single #gamma");
	leg->AddEntry(Nrecon_pip, "single #pi^{+}");
	leg->Draw();
	
	StandardLabels1D(Nrecon_photon,"Reconstructed clusters", "100k events", "All events");

	c1->SaveAs("recon_clusters_per_event.png");
	c1->SaveAs("recon_clusters_per_event.pdf");
}

