
#include "StandardLabels.C"

void photon_conv_r(void)
{
cout<<"This needs to have the x,y coordinates in Event added to "<<endl;
cout<<"reconPhoton so this plot can be made using cuts on primary"<<endl;
cout<<"and secondary particles."<<endl;
return;

	TFile *f = new TFile("hd_root.root");
	TTree *reconPhoton = (TTree*)gROOT->FindObject("reconPhoton");
	
	TCanvas *c1 = new TCanvas("c1");
	c1->SetTicks();
	c1->SetGridy();
	
	TH1D *primary = new TH1D("primary", "#gamma conversion location", 200, 0.0, 110.0);
	primary->SetXTitle("r (cm)");
	primary->SetStats(0);
	primary->SetLineWidth(2);
	primary->SetFillStyle(3002);
	
	TH1D *secondary = (TH1D*)primary->Clone("secondary");

	reconPhoton->Project("primary", "R.pos.Perp()", "idist_to_thrown==0");
	reconPhoton->Project("secondary", "R.pos.Perp()", "idist_to_thrown>0");

	primary->SetLineColor(kBlue);
	secondary->SetLineColor(kRed);
	primary->SetFillColor(kBlue);
	secondary->SetFillColor(kRed);

	primary->Draw();
	secondary->Draw("same");
	
	TLegend *leg = new TLegend(0.647, 0.695, 0.884, 0.854);
	leg->SetFillColor(kWhite);
	leg->AddEntry(primary, "primary shower");
	leg->AddEntry(secondary, "secondary shower");
	leg->Draw();
	
	
	StandardLabels1D(primary,"Single #gamma events  1GeV/c  14^{o}#leq60^{o}", "100k events");

	c1->SaveAs("photon_conv_r.png");
	c1->SaveAs("photon_conv_r.pdf");
}

