
#include "GlueX_boundaries.C"
#include "StandardLabels.C"

void photon_conv_r_vs_z(void)
{
	
	
	TFile *f = new TFile("hd_root.root");
	TTree *event = (TTree*)gROOT->FindObject("event");
	
	TCanvas *c1 = new TCanvas("c1");
	c1->SetTicks();
	
	TH2D *axes = new TH2D("axes", "#gamma conversion location", 100, -50.0, 700.0, 100, 0.0, 110.0);
	axes->SetXTitle("z (cm)");
	axes->SetYTitle("r (cm)");
	axes->SetStats(0);
	axes->Draw();

	event->SetMarkerStyle(20);
	event->SetMarkerSize(0.3);
	event->Draw("sqrt(x*x+y*y):z", "","same");

	
	DrawGlueXBoundaries(false, false, 100.0);
	StandardLabels(axes,"Single #gamma events  1GeV/c  14^{o}#leq60^{o}", "100k events", "All events");

	c1->SaveAs("photon_conv_r_vs_z.png");
	c1->SaveAs("photon_conv_r_vs_z.pdf");
}

