
#include "StandardLabels.C"

void recon_r_secondary(void)
{
	
	
	TFile *f = new TFile("hd_root.root");
	TTree *reconPhoton = (TTree*)gROOT->FindObject("reconPhoton");
	
	TCanvas *c1 = new TCanvas("c1");
	c1->SetTicks();
	
	TH1D *h = new TH1D("h", "Reconstructed Shower R", 300, 60.0, 90.0);
	h->SetXTitle("r (cm)");
	h->SetStats(0);
	h->SetLineWidth(2);

	reconPhoton->Project("h", "R.pos.Perp()", "idist_to_thrown>0");

	h->Draw();
	c1->Update();

	float layer_radius[] = {
              64.3, 
				  66.3,
				  68.3,
				  70.3,
				  72.3,
				  74.3,
				  76.3,
				  78.77,
				  81.24,
				  83.70,
				  86.17};
	for(int i=0; i<11; i++){
		TLine *l = new TLine(layer_radius[i], 0.0, layer_radius[i], h->GetMaximum()*1.05);
		l->SetLineColor(kMagenta);
		l->SetLineWidth(2);
		l->SetLineStyle(2);
		l->Draw();
	}

	StandardLabels1D(h,"Single #gamma events  1GeV/c  14^{o}#leq60^{o}", "100k events", "Secondary showers");

	c1->SaveAs("recon_r_secondary.png");
	c1->SaveAs("recon_r_secondary.pdf");
}

