
#include "StandardLabels.C"

void dist_to_thrown_phi_cut(void)
{
	TFile *f = new TFile("hd_root.root");
	TTree *reconPhoton = (TTree*)gROOT->FindObject("reconPhoton");
	
	TCanvas *c1 = new TCanvas("c1");
	c1->SetTicks();
	
	TH1D *phi_all = new TH1D("phi_all", "Secondary shower dist. to thrown projection", 300, 0.0, 400.0);
	phi_all->SetXTitle("dist. of recon. shower from thrown projection (cm)");
	phi_all->SetStats(0);
	phi_all->SetLineWidth(2);
	//phi_all->SetFillStyle(3000);

	TH1D *phi_near = (TH1D*)phi_all->Clone("phi_near");
	TH1D *phi_far = (TH1D*)phi_all->Clone("phi_far");

	reconPhoton->Project("phi_all", "dist_to_thrown", "idist_to_thrown>0");
	reconPhoton->Project("phi_near", "dist_to_thrown", "idist_to_thrown>0 && abs(R.thrown.Phi()-R.recon.Phi())*57.3<60.0");
	reconPhoton->Project("phi_far", "dist_to_thrown", "idist_to_thrown>0 && abs(R.thrown.Phi()-R.recon.Phi())*57.3>100.0");

	phi_near->SetFillColor(kBlue);
	phi_far->SetFillColor(kRed);
	phi_far->SetFillStyle(3001);

	phi_all->Draw();
	phi_near->Draw("same");
	phi_far->Draw("same");
	
	TLegend *leg = new TLegend(0.5, 0.5 ,0.8, 0.8);
	leg->SetFillColor(kWhite);
	leg->AddEntry(phi_near,"#Delta#phi < 60^{o}");
	leg->AddEntry(phi_far,"#Delta#phi > 100^{o}");
	leg->AddEntry(phi_all,"All");
	leg->Draw();

	StandardLabels1D(phi_all,"Single #pi^{+} events  1GeV/c  14^{o}#leq60^{o}", "100k events", "Secondary showers");

	c1->SaveAs("dist_to_thrown_phi_cut.png");
	c1->SaveAs("dist_to_thrown_phi_cut.pdf");
}

