
#include "GlueX_boundaries.C"
#include "StandardLabels.C"

void origin_r_vs_z_recon_multi_neutron(void)
{
	
	
	TFile *f = new TFile("hd_root.root");
	TTree *reconPhoton = (TTree*)gROOT->FindObject("reconPhoton");
	
	TCanvas *c1 = new TCanvas("c1");
	c1->SetTicks();
	
	TH2D *axes = new TH2D("axes", "Particle Origin Initiating Secondary Cluster", 100, -50.0, 700.0, 100, 0.0, 110.0);
	axes->SetXTitle("z (cm)");
	axes->SetYTitle("r (cm)");
	axes->SetStats(0);
	axes->Draw();

	reconPhoton->SetMarkerStyle(20);
	reconPhoton->SetMarkerSize(0.3);
	reconPhoton->Draw("R.pos_origin.Perp():R.pos_origin.Z()", "Nrecon>1 && idist_to_thrown>0 && ptype_closest==13","same");

	
	DrawGlueXBoundaries(false, false, 110.0);
	StandardLabels(axes,"Single #pi^{+} events  1GeV/c  14^{o}#leq60^{o}", "100k events", "neutrons");

	c1->SaveAs("origin_r_vs_z_recon_multi_neutron.png");
	c1->SaveAs("origin_r_vs_z_recon_multi_neutron.pdf");

	int N = event->GetEntries("Nrecon>1");
	double frac = (double)N/(double)100000;
	cout<<"Num entries:"<<N<<" ("<<frac*100.0<<"%)"<<endl;
}

